org.bouncycastle.bcpg

## Class UserAttributeSubpacketInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.bouncycastle.bcpg.UserAttributeSubpacketInputStream

All Implemented Interfaces:
  java.io.Closeable, UserAttributeSubpacketTags

    public class UserAttributeSubpacketInputStream
    extends java.io.InputStream
    implements UserAttributeSubpacketTags

reader for user attribute sub-packets

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.UserAttributeSubpacketTags

`IMAGE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`UserAttributeSubpacketInputStream(java.io.InputStream in)`

### Method Summary

Methods
`int` `available()`
`int` `read()`
`UserAttributeSubpacket` `readPacket()`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserAttributeSubpacketInputStream

    public UserAttributeSubpacketInputStream(java.io.InputStream in)

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### readPacket

    public UserAttributeSubpacket readPacket()
                                      throws java.io.IOException

Throws:
  `java.io.IOException`